Subject: [Sipping] End-to-middle security

From: Kumiko Ono <[email-masked]>
Date: Fri, 04 Jul 2003 01:08:52 +0900

Hi all,

I would like to draw your attention to the following draft that I submitted:

http://www.ietf.org/internet-drafts/draft-ono-sipping-end2middle-security-00.txt

First let me apologize for not separating the requirements and the 
mechanism in the proposal.

This draft describes end-to-middle security using S/MIME, and
proposes two following methods:

 1) A SIP UA gives a selected proxy a permission to inspect message body 
     while preserving the confidentiality/integrity of these bodies to other 
     proxies.
 
 2) A SIP UA designates and shares a key that will be reused as a 
  content-encryption-key for bidirectional exchanges of S/MIME-secured 
  messages.

I think the first method is an alternative approach to some similar
use cases to Jonathan's session-policy draft (draft-ietf-sipping-
session-policy-req-00). The first method can be
a solution for the problem of how a UA expresses its acceptance of a 
session policy that is required by a Proxy.

I would try to clarify what makes my end2middle draft different from that.
Jonathan's session-policy draft enables proxies to express their
requests to a UA and the UA to express the acceptance of the request.
In my draft, it is the UA that requests a certain behavior from
a policy in a S/MIME-secured message. 

I would appreciate comments on it from the SIP community.

Thanks,

Kumiko

-----------------------------------
Kumiko Ono
NTT Network Service Systems Labs.
Tel +81 422 59 4508/Fax +81 422 60 4012
e-mail [email-masked]
-----------------------------------

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP